import java.applet.*;
import java.awt.*;
import javax.swing.*;
import java.io.*;


public class Animation extends Applet implements Runnable
{
    public double phi;
    public Thread thread;

    public void init()
    {
        phi=0.0;
        thread = new Thread(this);
    }

    public void start()
    {
        thread.start();
    }

    public void run()
    {
        while(true)
        {
            try
            {
                Thread.sleep(50);
            }
            catch(Exception e)
            {
            }
            phi+=0.04;
            repaint();
        }
    }

    public void paint(Graphics g)
    {
        g.setColor(new Color(200,255,200));
        int x = (int)(100.0*Math.cos(phi)+110.0+0.5);
        int y = (int)(100.0*Math.sin(phi)+110.0+0.5);
        g.fillRect(x,y,200,100);
    }

    public static void main(String[] args)
    {
        Animation hb = new Animation();
        hb.init();
        hb.start();
        hb.repaint();

        JFrame mF = new JFrame("Differentialgeometrie");
        mF.getContentPane().add(hb);
        mF.pack();
        mF.setSize(500,500);
        mF.setLocation(10,10);
        mF.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        mF.setVisible(true);
    }
}
