import java.applet.*;
import java.awt.*;
import javax.swing.*;
import java.io.*;


public class Animation extends Applet implements Runnable
{
    public double phi;
    public Thread thread;

    public Frame fenster;
    public Image puffer = null;
    public Graphics grafikpuffer;
    

    public void init()
    {
        phi=0.0;
        thread = new Thread(this);
        if(puffer==null)
        {
            puffer = createImage(500,500);
            if(puffer!=null)
                grafikpuffer = puffer.getGraphics();
        }
    }

    public void start()
    {
        thread.start();
    }

    public void run()
    {
        while(true)
        {
            try
            {
                Thread.sleep(50);
            }
            catch(Exception e)
            {
            }
            phi+=0.001;

            if(puffer==null)
            {
                puffer = createImage(500,500);
                if(puffer!=null)
                    grafikpuffer = puffer.getGraphics();
            }
            if(puffer!=null)
            {
                paintNeu(grafikpuffer);
                repaint();
            }
        }
    }

    public void paintNeu(Graphics g)
    {
      g.setColor(new Color(255,255,255));
      g.fillRect(0,0,500,500);

      for(int i=0;i<20;i++)
      {
        g.setColor(new Color(i*10,255-i*10,200));
        int x = (int)((100.0+(double)i*5.0)*Math.cos(phi+phi*(double)i)+160.0+0.5)+i;
        int y = (int)((100.0+(double)i*5.0)*Math.sin(phi+phi*(double)i)+180.0+0.5)+2*i;
        g.fillOval(x,y,10,10);
      }
    }

    public void paint(Graphics g)
    {
        if(puffer!=null)
            g.drawImage(puffer,0,0,null);
    }


    public static void main(String[] args)
    {

        Animation hb = new Animation();

        hb.init();
        hb.start();
        hb.repaint();

        JFrame mF = new JFrame("Differentialgeometrie");
        mF.getContentPane().add(hb);
        mF.pack();
        mF.setSize(500,500);
        mF.setLocation(10,10);
        mF.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        mF.setVisible(true);
    }
}
